gnutls_privkey_sign_data2(3)

NAME
gnutls_privkey_sign_data2 - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_sign_data2(gnutls_privkey_t signer, gnutls_sign_algorithm_t algo, unsigned int flags, const gnutls_datum_t * data, gnutls_datum_t * signature);

ARGUMENTS

gnutls_privkey_t signer
    Holds the key

gnutls_sign_algorithm_t algo
    The signature algorithm used

unsigned int flags
    Zero or one of gnutls_privkey_flags_t

const gnutls_datum_t * data
    holds the data to be signed

gnutls_datum_t * signature
    will contain the signature allocated with gnutls_malloc()

DESCRIPTION
This function will sign the given data using the specified signature algorithm. This function is an enhancement of gnutls_privkey_sign_data(), as it allows utilizing a alternative signature algorithm where possible (e.g, use an RSA key with RSA-PSS).

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.6.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/